Page MenuHomePhabricator

View historic revisions of entities
Closed, ResolvedPublic5 Story Points

Description

Historic revision of entities can be opened through deep links in the history action (example).

As a mobile reader
when opening a historic revision of an item page
I want to see the entity information based on the data of this revision

Acceptance Criteria

  • When opening any of the older revisions,
    • the termbox is shown in the new design,
    • the content represents the state of that time

Note

  • The information about the revision currently being shown is not in a great design yet, but this is not part of this ticket.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptNov 28 2018, 3:29 PM
Hanna_Petruschat_WMDE set the point value for this task to 5.Feb 6 2019, 3:07 PM
Lea_WMDE triaged this task as Normal priority.Feb 11 2019, 11:46 AM
Lea_WMDE updated the task description. (Show Details)

Change 493176 had a related patch set uploaded (by Pablo Grass (WMDE); owner: Pablo Grass (WMDE)):
[wikibase/termbox@master] beta hosting: add ansible playbook

https://gerrit.wikimedia.org/r/493176

Change 493176 merged by jenkins-bot:
[wikibase/termbox@master] beta hosting: add ansible playbook

https://gerrit.wikimedia.org/r/493176

Change 493710 had a related patch set uploaded (by Pablo Grass (WMDE); owner: Pablo Grass (WMDE)):
[mediawiki/extensions/WikibaseLexeme@master] LexemeView: revision support for getContent()

https://gerrit.wikimedia.org/r/493710

Change 494695 had a related patch set uploaded (by Pablo Grass (WMDE); owner: Pablo Grass (WMDE)):
[mediawiki/extensions/WikibaseMediaInfo@master] MediaInfoView: revision support for getContent()

https://gerrit.wikimedia.org/r/494695

Change 493710 merged by Tarrow:
[mediawiki/extensions/WikibaseLexeme@master] LexemeView: revision support for getContent()

https://gerrit.wikimedia.org/r/493710

Change 494695 merged by Tarrow:
[mediawiki/extensions/WikibaseMediaInfo@master] MediaInfoView: revision support for getContent()

https://gerrit.wikimedia.org/r/494695

Lea_WMDE closed this task as Resolved.Mar 25 2019, 11:33 AM
Lea_WMDE claimed this task.